# DataExchange
TKIGES
IGESSelect

# IGESSelect_SignLevelNumber Class Reference

Gives D.E. Level Number under two possible forms :
* for counter : "LEVEL nnnnnnn", " NO LEVEL", " LEVEL LIST"
* for selection : "/nnn/", "/0/", "/1/2/nnn/"
For matching, giving /nn/ gets any entity attached to level nn
whatever simple or in a level list
.

`#include <IGESSelect_SignLevelNumber.hxx>`

Inheritance diagram for IGESSelect_SignLevelNumber:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_SignLevelNumber (const Standard_Boolean countmode)
| Creates a SignLevelNumber <countmode> True : values are naturally displayed <countmode> False: values are separated by slashes in order to allow selection by signature by Draw or C++ .
Standard_EXPORT Standard_CString | Value (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns the value (see above) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | thecountmode

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SignLevelNumber::IGESSelect_SignLevelNumber | ( | const Standard_Boolean | countmode | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_SignLevelNumber::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Signature.

Standard_EXPORT Standard_CString IGESSelect_SignLevelNumber::Value | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements Interface_SignType.

## Field Documentation

Standard_Boolean IGESSelect_SignLevelNumber::thecountmode `[private]`

The documentation for this class was generated from the following file:

- IGESSelect_SignLevelNumber.hxx